Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse
[Groovy] Class EclipseProject

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.eclipse.AbstractXmlGeneratorTask
              org.gradle.plugins.eclipse.EclipseProject

    class EclipseProject
    extends AbstractXmlGeneratorTask

Generates an eclipse .project file.

Authors:
  Hans Dockter

Field Summary
`protected ModelFactory` | `modelFactory`

Property Summary
`java.util.List` | `buildCommands` The build commands to be added to this Eclipse project.
`java.lang.String` | `comment` A comment used for the eclipse project
`java.io.File` | `inputFile` The file that is merged into the to be produced project file.
`java.util.Set` | `links` The links to be added to this Eclipse project.
`java.util.List` | `natures` The natures to be added to this Eclipse project.
`java.io.File` | `outputFile`
`java.lang.String` | `projectName` The output file where to generate the project metadata to.
`java.util.Set` | `referencedProjects` The referenced projects of this Eclipse project.

Constructor Summary
`EclipseProject()`

Method Summary
`void` | `buildCommand(java.util.Map args, java.lang.String buildCommand)` Adds a build command with arguments to the eclipse project.
`void` | `buildCommand(java.lang.String buildCommand)` Adds a build command to the eclipse project.
`void` | `generateXml()`
`void` | `link(java.util.Map args)` Adds a link to the eclipse project.
`void` | `natures(java.lang.String natures)` Adds natures entries to the eclipse project.
`void` | `referencedProjects(java.lang.String referencedProjects)` Adds project references to the eclipse project.

Methods inherited from class AbstractXmlGeneratorTask
beforeConfigured, whenConfigured, withXml

Field Detail

### modelFactory

    protected ModelFactory modelFactory

Property Detail

### buildCommands

    java.util.List buildCommands

  The build commands to be added to this Eclipse project.

### comment

    java.lang.String comment

  A comment used for the eclipse project

### inputFile

    java.io.File inputFile

  The file that is merged into the to be produced project file. This file must not exist.

### links

    java.util.Set links

  The links to be added to this Eclipse project.

### natures

    java.util.List natures

  The natures to be added to this Eclipse project.

### outputFile

    @OutputFile
        /**
         * The output file where to generate the project metadata to.
         */
    java.io.File outputFile

### projectName

    java.lang.String projectName

  The output file where to generate the project metadata to.

### referencedProjects

    java.util.Set referencedProjects

  The referenced projects of this Eclipse project.

Constructor Detail

### EclipseProject

    EclipseProject()

Method Detail

### buildCommand

    void buildCommand(java.util.Map args, java.lang.String buildCommand)

  Adds a build command with arguments to the eclipse project.
  Parameters:
    `args` - A map with arguments, where the key is the name of the argument and the value the value.
    `buildCommand` - The name of the build command.
  See Also:
    buildCommand(String)

### buildCommand

    void buildCommand(java.lang.String buildCommand)

  Adds a build command to the eclipse project.
  Parameters:
    `buildCommand` - The name of the build command
  See Also:
    buildCommand(Map, String)

### generateXml

    @TaskAction
    void generateXml()

### link

    void link(java.util.Map args)

  Adds a link to the eclipse project.
  Parameters:
    `args` - A maps with the args for the link. Legal keys for the map are name, type, location and locationUri.

### natures

    void natures(java.lang.String natures)

  Adds natures entries to the eclipse project.
  Parameters:
    `natures` - the nature names

### referencedProjects

    void referencedProjects(java.lang.String referencedProjects)

  Adds project references to the eclipse project.
  Parameters:
    `referencedProjects` - The name of the project references.

Groovy Documentation